gd_dirfilename(3)

NAME
gd_dirfilename — retrieve the name of a dirfile

SYNOPSIS
#include <getdata.h>

const char *gd_dirfilename(const DIRFILE *dirfile);

DESCRIPTION
The gd_dirfilename() function queries a dirfile(5) database specified by dirfile and returns its name. The name of a dirfile is the pathname passed to gd_cbopen() or gd_open() when the dirfile was opened.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_dirfilename() returns a pointer to a constant string containing the pathname of the dirfile. On error, gd_dirfilename() returns NULL and sets the dirfile error to a non-zero value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_cbopen(3)